## org.codehaus.groovy.grails.webflow.execution.repository.continuation
Class GrailsAwareClientContinuationFlowExecutionRepository

    java.lang.Object
      org.springframework.webflow.execution.repository.support.AbstractFlowExecutionRepository
          org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
              org.springframework.webflow.execution.repository.continuation.ClientContinuationFlowExecutionRepository
                  org.codehaus.groovy.grails.webflow.execution.repository.continuation.GrailsAwareClientContinuationFlowExecutionRepository

All Implemented Interfaces:
  org.springframework.webflow.execution.repository.FlowExecutionRepository

    public class GrailsAwareClientContinuationFlowExecutionRepository

extends org.springframework.webflow.execution.repository.continuation.ClientContinuationFlowExecutionRepository

extends Webflows default ClientContinuationFlowExecutionRepository to allow the continuation factory to be aware of the Grails class loader

Since:
  0.6

  Created: Jul 20, 2007 Time: 8:48:01 AM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
`logger`

Constructor Summary
`GrailsAwareClientContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer, org.springframework.webflow.conversation.ConversationManager conversationManagerToUse, GrailsApplication grailsApplication)`
`GrailsAwareClientContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer, GrailsApplication grailsApplication)`

Method Summary
`org.springframework.webflow.execution.FlowExecution` `getFlowExecution(org.springframework.webflow.execution.repository.FlowExecutionKey key)`

Methods inherited from class org.springframework.webflow.execution.repository.continuation.ClientContinuationFlowExecutionRepository
`decode, encode, generateContinuationId, getContinuationFactory, parseContinuationId, putFlowExecution, setContinuationFactory`

Methods inherited from class org.springframework.webflow.execution.repository.support.AbstractConversationFlowExecutionRepository
`createConversationParameters, generateKey, getContinuationId, getConversation, getConversationId, getConversationManager, getConversationScope, getLock, getNextKey, onBegin, onEnd, parseFlowExecutionKey, putConversationScope, removeFlowExecution`

Methods inherited from class org.springframework.webflow.execution.repository.support.AbstractFlowExecutionRepository
`getExecutionStateRestorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareClientContinuationFlowExecutionRepository

    public GrailsAwareClientContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer,
                                                                org.springframework.webflow.conversation.ConversationManager conversationManagerToUse,
                                                                GrailsApplication grailsApplication)

### GrailsAwareClientContinuationFlowExecutionRepository

    public GrailsAwareClientContinuationFlowExecutionRepository(org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer,
                                                                GrailsApplication grailsApplication)

Method Detail

### getFlowExecution

    public org.springframework.webflow.execution.FlowExecution getFlowExecution(org.springframework.webflow.execution.repository.FlowExecutionKey key)

  Specified by:
    `getFlowExecution` in interface `org.springframework.webflow.execution.repository.FlowExecutionRepository`
  Overrides:
    `getFlowExecution` in class `org.springframework.webflow.execution.repository.continuation.ClientContinuationFlowExecutionRepository`

Copyright (c) 2005-2006 The Grails project